## mkdir

#### OS/161 Reference Manual

### Name

mkdir - create directory

### Synopsis

/bin/mkdir directory

### Description

mkdir creates the named directory. All intermediate components must already exist. If the named directory already exists, an error occurs.

### Requirements

mkdir uses the following syscalls:

- mkdir
- write
- _exit

mkdir should function properly once the file system assignment is completed.

### See Also

rmdir